Package com.avaya.clientservices.media

## Class AudioDevice

- java.lang.Object
- - com.avaya.clientservices.media.AudioDevice

-     public class AudioDevice
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AudioDevice.Type` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AudioDevice` | `bluetoothHeadset` | Deprecated.
    `static AudioDevice` | `handset` | Deprecated.
    `static AudioDevice` | `speaker` | Deprecated.
    `static AudioDevice` | `wiredHeadset` | Deprecated.
    `static AudioDevice` | `wiredSpeaker` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AudioDevice​(AudioDevice.Type type)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getID()` |
    `java.lang.String` | `getName()` |
    `AudioDevice.Type` | `getType()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wiredHeadset

          @Deprecated
          public static AudioDevice wiredHeadset

      Deprecated.

    - #### handset

          @Deprecated
          public static AudioDevice handset

      Deprecated.

    - #### speaker

          @Deprecated
          public static AudioDevice speaker

      Deprecated.

    - #### bluetoothHeadset

          @Deprecated
          public static AudioDevice bluetoothHeadset

      Deprecated.

    - #### wiredSpeaker

          @Deprecated
          public static AudioDevice wiredSpeaker

      Deprecated.

  - ### Constructor Detail

    - #### AudioDevice

          @Deprecated
          public AudioDevice​(AudioDevice.Type type)

      Deprecated.

  - ### Method Detail

    - #### getType

          public AudioDevice.Type getType()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getID

          public java.lang.String getID()

    - #### getName

          public java.lang.String getName()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`